{
  "name": "evocalculator.client",
  "private": true,
  "dependencies": {
    "@ant-design/icons": "^4.6.2",
    "@apollo/client": "^3.5.6",
    "@craco/craco": "^6.4.3",
    "antd": "^4.15.5",
    "axios": "^0.21.1",
    "babel-plugin-import": "^1.13.3",
    "babel-plugin-styled-components": "^1.13.2",
    "babel-plugin-transform-imports": "^2.0.0",
    "craco-less": "^2.0.0",
    "dayjs": "^1.10.4",
    "graphql": "^16.2.0",
    "graphql.macro": "^1.4.2",
    "lodash": "^4.17.21",
    "mobx": "^6.1.8",
    "mobx-react-lite": "^3.2.0",
    "react": "^17.0.2",
    "react-async-hook": "^4.0.0",
    "react-dom": "^17.0.2",
    "react-router": "^5.2.0",
    "react-router-dom": "^5.2.0",
    "react-scripts": "^5.0.0",
    "rebass": "^4.0.7",
    "styled-components": "^5.2.3",
    "typescript": "^4.5.4",
    "use-debounce": "^6.0.1"
  },
  "devDependencies": {
    "@storybook/addon-actions": "^6.4.18",
    "@storybook/addon-essentials": "^6.4.18",
    "@storybook/addon-links": "^6.4.18",
    "@storybook/builder-webpack5": "^6.4.18",
    "@storybook/manager-webpack5": "^6.4.18",
    "@storybook/node-logger": "^6.4.18",
    "@storybook/preset-ant-design": "^0.0.2",
    "@storybook/preset-create-react-app": "^4.0.0",
    "@storybook/react": "^6.4.18",
    "@testing-library/jest-dom": "^5.11.4",
    "@testing-library/react": "^11.1.0",
    "@testing-library/user-event": "^12.1.10",
    "@types/jest": "^26.0.15",
    "@types/lodash": "^4.14.168",
    "@types/node": "^12.0.0",
    "@types/react": "^17.0.0",
    "@types/react-dom": "^17.0.0",
    "@types/react-router-dom": "^5.1.7",
    "@types/rebass": "^4.0.8",
    "@types/styled-components": "^5.1.9",
    "@types/uuid": "^8.3.0",
    "apollo": "^2.33.9",
    "commitizen": "^4.2.3",
    "cz-conventional-changelog": "^3.3.0",
    "dotenv-cli": "^4.1.1",
    "rimraf": "^3.0.2",
    "source-map-explorer": "^2.5.2",
    "webpack": "5"
  },
  "resolutions": {
    "mini-css-extract-plugin": "2.4.5"
  },
  "scripts": {
    "graphql:codegen": "apollo client:codegen --target typescript",
    "graphql:update-schema": "apollo client:download-schema src/core/services/CrmService/graphql/schema.graphql",
    "test": "react-scripts test",
    "eject": "react-scripts eject",
    "start": "dotenv -e .env craco start",
    "build": "craco build",
    "eslint": "eslint ./src",
    "eslint:fix": "eslint ./src --fix",
    "commit": "git-cz",
    "analyze": "source-map-explorer 'build/static/js/*.js'",
    "storybook": "start-storybook -p 6006 -s public",
    "build-storybook": "build-storybook -s public",
    "babel:clear": "rimraf -rf ./node_modules/.cache/babel-loader/*"
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "react-app/jest"
    ],
    "overrides": [
      {
        "files": [
          "**/*.stories.*"
        ],
        "rules": {
          "import/no-anonymous-default-export": "off"
        }
      },
      {
        "files": [
          "**/*.stories.*"
        ],
        "rules": {
          "import/no-anonymous-default-export": "off"
        }
      }
    ]
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "config": {
    "commitizen": {
      "path": "./node_modules/cz-conventional-changelog"
    }
  },
  "packageManager": "yarn@3.1.1"
}
